{
  "name": "roomle-showcases-web-hooks",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "dev": "npx @google-cloud/functions-framework --target=mail --port=12345",
    "sendMail": "curl -X POST http://localhost:12345/ -H 'Content-Type: application/json; charset=utf-8' -H 'origin: https://api.roomle.com' -d '{ \"event\": \"email.savedConfiguration\", \"data\": { \"email\": \"test@test.com\", \"configurationId\": \"usm:frame:E9401B2981B5B263B3A17921F37D0F60AB614B7FB2ECA1626947552D5A0DFED4\", \"url\": \"https://www.roomle.com/t/cp/?id=usm:frame:E9401B2981B5B263B3A17921F37D0F60AB614B7FB2ECA1626947552D5A0DFED4&configuratorId=demoConfigurator\", \"configuratorId\": \"demoConfigurator\" }}'"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/roomle/showcases/web-hooks.git"
  },
  "author": "",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/roomle/showcases/web-hooks/issues"
  },
  "homepage": "https://gitlab.com/roomle/showcases/web-hooks#readme",
  "dependencies": {
    "dotenv": "^15.0.0",
    "node-fetch": "^3.2.0",
    "nodemailer": "^6.7.2",
    "validator": "^13.7.0",
    "whatwg-mimetype": "^3.0.0"
  },
  "devDependencies": {
    "@google-cloud/functions-framework": "^2.1.0"
  }
}
